package com.ruoyi.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;

/**
 * 个人信息隐私检测对象 trs_person_result
 * 
 * @author ruoyi
 * @date 2025-04-02
 */
public class TrsPersonResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String sitename;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 所在页 */
    @Excel(name = "所在页")
    private String page;

    /** 个人信息 */
    @Excel(name = "个人信息")
    private String wrongWord;

    /** 类型 */
    @Excel(name = "类型")
    private String wrongType;

    /** 错误类型 */
    @Excel(name = "错误类型")
    private String errorType;

    /** 上下文 */
    @Excel(name = "上下文")
    private String context;

    public String getAllcontext() {
        return allcontext;
    }

    public void setAllcontext(String allcontext) {
        this.allcontext = allcontext;
    }

    private String allcontext;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 版本号 */
    @Excel(name = "版本号")
    private String version;

    /** 识别码 */
    @Excel(name = "识别码")
    private String datakey;

    public String getSitetag() {
        return sitetag;
    }

    public void setSitetag(String sitetag) {
        this.sitetag = sitetag;
    }

    @Excel(name = "网站类型")
    private String sitetag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSitename(String sitename) 
    {
        this.sitename = sitename;
    }

    public String getSitename() 
    {
        return sitename;
    }

    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    public void setPage(String page) 
    {
        this.page = page;
    }

    public String getPage() 
    {
        return page;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setWrongType(String wrongType) 
    {
        this.wrongType = wrongType;
    }

    public String getWrongType() 
    {
        return wrongType;
    }

    public void setErrorType(String errorType) 
    {
        this.errorType = errorType;
    }

    public String getErrorType() 
    {
        return errorType;
    }

    public void setContext(String context) 
    {
        this.context = context;
    }

    public String getContext() 
    {
        return context;
    }

    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }

    public void setDatakey(String datakey) 
    {
        this.datakey = datakey;
    }

    public String getDatakey() 
    {
        return datakey;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sitename", getSitename())
            .append("title", getTitle())
            .append("page", getPage())
            .append("wrongWord", getWrongWord())
            .append("wrongType", getWrongType())
            .append("errorType", getErrorType())
            .append("context", getContext())
            .append("time", getTime())
            .append("status", getStatus())
            .append("version", getVersion())
            .append("datakey", getDatakey())
            .toString();
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    private String tenantId;

}
